package logic

import (
	v1 "cris/api/login/v1"
)

type LoginLogic struct{}

func (s *LoginLogic) Login(req *v1.LoginReq) *v1.LoginRes {
	// 在这里进行具体的逻辑处理

	return &v1.LoginRes{
		Message: "Login successful",
		Data: map[string]interface{}{
			"email":    req.Email,
			"password": req.Password,
		},
	}
}
